<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number71</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.71:</b> Write a JavaScript program to check if 1 appears in first or last position of a given array of integers. The array length must be greater or equal to 1. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num" placeholder="Numbers of array`s elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	  <pre id="demo2"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num').value;
		  var arr = [] ;
		  if (num>0) {
			 for (i=0; i<num; i++) {
			  arr.push(prompt("Enter the element number " + (i+1)));
			  arr = arr.map(Number);
				 if (arr[0] == 1 || arr[arr.length-1] == 1) {
				 document.getElementById('demo').innerHTML=
					 "The Array is: <br>" + "["+ arr.join(", ") +"] <br>" +
					 "And Condition is True"
			 } else {
				 document.getElementById('demo').innerHTML=
					 "The Array is: <br>" + "["+ arr.join(", ") +"] <br>" +
					 "And Condition is False"
				 
			 }
	  }
	  } else {
		  document.getElementById('demo').innerHTML=
					 "Numbers of array Elements Must be Positive"
	  }
	  }
	</script>
	
</body>
</html>
